Subject: Re: linux-next: manual merge of the bdev tree

From: "Bartlomiej Zolnierkiewicz" <[email-masked]>
Date: Fri, 17 Oct 2008 15:24:53 +0200

On Fri, Oct 17, 2008 at 1:14 PM, Al Viro <[email-masked]> wrote:
> On Fri, Oct 17, 2008 at 10:58:42AM +0200, Bartlomiej Zolnierkiewicz wrote:
>
>> Yes, the common ide-{disk,floppy}.c code resides now in ide-gd.c.
>>
>> > I got a bit harder after that ... so I have again dropped the bdev for
>> > today.
>>
>> This may be actually my fault since I remember Al asking me about some
>> conflicting
>> changes during KS/LPC? (though I later forgot about it).
>>
>> Al, is stuff in bdev-next going in during this merge window?  If so
>> please push it
>> to Linus ASAP and I'll take care of fixing IDE patches.  Otherwise I'm
>> going to push
>> IDE stuff to Linus and you'll have to fixup bdev-next. ;-)
>
> As the matter of fact, I've got bdev-next variant covering ide-gd, so
> if you can push the relevant ide patch(es) to Linus, bdev would be ready

Great!  Thanks for taking care of it.

> to go.  Or I can push the mainline-based variant and send the pieces
>
> that affect ide-gd your way (basically, it's a matter of f_mode/f_flags
> stuff being touched in ide-gd instead of ide-floppy, converting your
> disk_ops->ioctl() to sane prototype and converting ide-gd.c to new
> bdev method prototypes).  Up to you...

I prefer to push IDE changes first...

[ I'll send another pull request to Linus later today. ]

Bart